## lv2 1.18.10

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('lv2dir', type: 'string', value: '', yield: true,
       description: 'LV2 bundle installation directory')

option('old_headers', type: 'boolean', value: true, yield: true,
       description: 'Install backwards compatible headers at URI-style paths')

option('online_docs', type: 'boolean', value: 'false', yield: true,
       description: 'Build documentation for online hosting')

option('plugins', type: 'feature', value: 'auto', yield: true,
       description: 'Build example plugins')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'LV2',
       description: 'Project title')

=== debian/changelog ===
lv2 (1.18.10-3) unstable; urgency=medium

  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field
  * Remove wrong compression
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 16:18:17 +0100

lv2 (1.18.10-2) unstable; urgency=medium

  * Team upload
  * debian/lv2-dev.maintscript: Convert symlinks to directories

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Oct 2023 23:34:37 +0100

lv2 (1.18.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.18.10 (Closes: #1054337)
  * debian/: Switch to meson
  * debian/watch: Consider all extensions

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Oct 2023 18:00:51 +0100

lv2 (1.18.4-3) unstable; urgency=medium

  * Team upload
  * Drop example GTK2 UIs (Closes: #967605)
  * Clean the project properly (Closes: #1045763)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Sep 2023 18:13:28 +0000

=== debian/control ===
Source: lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libsndfile1-dev,
 meson,
 ninja-build,
 pkgconf
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/lv2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2
Homepage: https://lv2plug.in/

Package: lv2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Description: LV2 audio plugin specification
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 This package contains the LV2 audio plugin specification,
 with all the official extension packages, as well as example
 plugins, and additional data.
 .
 Implementations are encouraged to abandon the “copy paste
 headers” practice and depend on this package instead.

Package: lv2-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 audio plugin specification (example plugins)
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 This package contains some LV2 example plugins.

=== debian/watch ===
Version: 5
Pgp-Mode: auto
Source: https://lv2plug.in/spec/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
